# $FreeBSD: release/9.1.0/lib/clang/libclanglex/Makefile 235633 2012-05-18 21:49:11Z dim $

LIB=	clanglex

SRCDIR=	tools/clang/lib/Lex
SRCS=	HeaderMap.cpp \
	HeaderSearch.cpp \
	Lexer.cpp \
	LiteralSupport.cpp \
	MacroArgs.cpp \
	MacroInfo.cpp \
	ModuleMap.cpp \
	PPCaching.cpp \
	PPCallbacks.cpp \
	PPDirectives.cpp \
	PPExpressions.cpp \
	PPLexerChange.cpp \
	PPMacroExpansion.cpp \
	PTHLexer.cpp \
	Pragma.cpp \
	PreprocessingRecord.cpp \
	Preprocessor.cpp \
	PreprocessorLexer.cpp \
	ScratchBuffer.cpp \
	TokenConcatenation.cpp \
	TokenLexer.cpp

TGHDRS=	AttrSpellings \
	DiagnosticCommonKinds \
	DiagnosticLexKinds

.include "../clang.lib.mk"
